<script lang="ts">
import Vue from 'vue';
import ParallaxContainer from '../../developer-survey/2023/parallax-container.vue';

export default Vue.extend({
  components: { ParallaxContainer },
  props: {
    src: {
      type: String,
      required: false,
      default: '',
    },
    alt: {
      type: String,
      required: false,
      default: '',
    },
  },
});
</script>

<template>
  <div class="ai-logo">
    <ParallaxContainer>
      <img
        class="star-1"
        src="/nuxt-images/solutions/ai/logo-decoration-3.svg"
        :alt="'logo decoration 3'"
      />
      <img
        class="star-2"
        src="/nuxt-images/solutions/ai/logo-decoration-4.svg"
        :alt="'logo decoration 4'"
      />
      <img
        class="star-3"
        src="/nuxt-images/solutions/ai/logo-decoration-5.svg"
        :alt="'logo decoration 5'"
      />
    </ParallaxContainer>
    <svg
      width="454"
      height="420"
      viewBox="0 0 454 420"
      fill="none"
      class="logo"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M89.3818 111C38.4584 165.599 41.3435 251.527 95.8322 302.553C150.321 353.579 236.077 350.665 287 296.09L89.3818 111Z"
        fill="url(#paint1_linear_286_5428)"
        class="purple-loop"
      />
      <path
        opacity="0.7"
        d="M111.07 335.511C172.863 370.958 253.242 362.317 305.974 309.585C369.04 246.519 369.04 143.904 305.974 80.8373C274.441 49.3042 233.019 33.5385 191.6 33.5366"
        stroke="url(#paint2_linear_286_5428)"
        stroke-width="33.34"
        stroke-miterlimit="10"
        class="blue-loop"
      />
      <path
        d="M190.305 295.727C134.989 295.727 90.146 250.884 90.146 195.567C90.146 140.251 134.989 95.408 190.305 95.408C245.622 95.408 290.465 140.251 290.465 195.567C290.465 250.884 245.622 295.727 190.305 295.727Z"
        fill="#2B2838"
      />
      <path
        d="M189.554 295.727C134.238 295.727 89.3949 250.884 89.3949 195.567C89.3949 140.251 134.238 95.408 189.554 95.408C244.871 95.408 289.714 140.251 289.714 195.567C289.714 250.884 244.871 295.727 189.554 295.727Z"
        stroke="url(#paint4_linear_286_5428)"
        stroke-width="2"
        stroke-miterlimit="10"
      />
      <path
        d="M236.491 187.518L223.657 153.933C223.657 153.933 223.031 152.689 222.405 152.378C221.779 152.067 221.153 151.756 220.527 151.756C219.901 151.756 219.275 151.756 218.649 152.378C218.023 152.689 217.71 153.311 217.397 154.244L208.633 180.676H173.575L164.811 154.244C164.811 154.244 164.185 153 163.559 152.378C162.933 152.067 162.307 151.756 161.681 151.756C161.055 151.756 160.116 151.756 159.803 152.378C159.177 152.689 158.864 153.311 158.55 153.933L145.717 187.207C141.961 197.469 145.091 208.663 153.542 214.883L172.949 229.498L182.653 236.651L188.6 241.004C188.6 241.004 192.043 241.937 193.295 241.004L199.242 236.651L208.946 229.498L228.666 214.883C237.117 208.352 240.247 197.469 236.491 187.518Z"
        fill="white"
      />
      <defs>
        <linearGradient
          id="paint0_linear_286_5428"
          x1="448.893"
          y1="152.428"
          x2="439.073"
          y2="142.28"
          gradientUnits="userSpaceOnUse"
        >
          <stop stop-color="#DF4329" stop-opacity="0.9" />
          <stop offset="0.786458" stop-color="#A686F2" />
        </linearGradient>
        <linearGradient
          id="paint1_linear_286_5428"
          x1="237.625"
          y1="345.659"
          x2="46.0249"
          y2="154.444"
          gradientUnits="userSpaceOnUse"
        >
          <stop stop-color="#7759BF" stop-opacity="0" />
          <stop offset="0.14" stop-color="#8263CB" stop-opacity="0.12" />
          <stop offset="0.42" stop-color="#9576E0" stop-opacity="0.32" />
          <stop offset="0.62" stop-color="#A181ED" stop-opacity="0.45" />
          <stop offset="0.74" stop-color="#A686F2" stop-opacity="0.5" />
        </linearGradient>
        <linearGradient
          id="paint2_linear_286_5428"
          x1="88.21"
          y1="335.624"
          x2="336.388"
          y2="87.4465"
          gradientUnits="userSpaceOnUse"
        >
          <stop offset="0.325" stop-color="#10AEAE" stop-opacity="0.61" />
          <stop offset="0.9096" stop-color="#6FD7C6" />
        </linearGradient>
        <linearGradient
          id="paint3_linear_286_5428"
          x1="56.5259"
          y1="39.9607"
          x2="41.1009"
          y2="24.4278"
          gradientUnits="userSpaceOnUse"
        >
          <stop offset="0.33" stop-color="#10AEAE" stop-opacity="0.61" />
          <stop offset="0.43" stop-color="#1CB3B1" stop-opacity="0.66" />
          <stop offset="0.63" stop-color="#3BC0B9" stop-opacity="0.79" />
          <stop offset="0.91" stop-color="#6FD7C6" />
        </linearGradient>
        <linearGradient
          id="paint4_linear_286_5428"
          x1="188.488"
          y1="94.9995"
          x2="188.488"
          y2="294.567"
          gradientUnits="userSpaceOnUse"
        >
          <stop stop-color="#A686F2" />
          <stop offset="0.854167" stop-color="#5829C8" />
        </linearGradient>
        <linearGradient
          id="paint5_linear_286_5428"
          x1="76.0609"
          y1="385.57"
          x2="55.9427"
          y2="364.595"
          gradientUnits="userSpaceOnUse"
        >
          <stop offset="0.2358" stop-color="#A686F2" />
          <stop offset="0.3904" stop-color="#A382F0" stop-opacity="0.9779" />
          <stop offset="0.5326" stop-color="#9A77EB" stop-opacity="0.9575" />
          <stop offset="0.67" stop-color="#8A65E3" stop-opacity="0.9379" />
          <stop offset="0.8036" stop-color="#744AD7" stop-opacity="0.9188" />
          <stop offset="0.9349" stop-color="#5829C8" stop-opacity="0.9" />
        </linearGradient>
      </defs>
    </svg>
  </div>
</template>

<style lang="scss" scoped>
.ai-logo {
  position: relative;
  svg {
    width: 100%;
    height: 100%;
  }
  .purple-loop {
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dash 3s linear forwards;
  }
  .blue-loop {
    stroke-dasharray: 4 8;
    stroke-dashoffset: 40;
    animation: dash 3s linear forwards;
  }

  .star-1,
  .star-2,
  .star-3 {
    position: absolute;
  }
  .star-2 {
    bottom: -250px;
    left: 0px;
    @media (min-width: $breakpoint-lg) {
      bottom: -450px;
    }
  }
  .star-3 {
    right: 20px;
    top: 40px;
    @media (min-width: $breakpoint-lg) {
      right: 40px;
      top: 100px;
    }
  }
  .logo {
    position: relative;
    z-index: 1;
  }
}

@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}
</style>
